Contacts
Get Contact Messages
GET
/
contacts
/
{id}
/
messages
Get contact messages
curl --request GET \
--url https://api.arnio.co/api/v1/contacts/{id}/messages \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.arnio.co/api/v1/contacts/{id}/messages"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.arnio.co/api/v1/contacts/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"id": "<string>",
"from": "<string>",
"to": "<string>",
"direction": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"attachments": [
{}
],
"service": "<string>",
"status": {
"read": true,
"delivered": true
}
}
]
}Fetch all messages for a specific contact by their ID.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | ✅ | The ID of the contact |
| page | query | integer | ❌ | Page number for pagination (default: 1) |
| limit | query | integer | ❌ | Number of messages per page (default: 20) |
Responses
- 200: Messages retrieved successfully. Returns an array of message objects:
{
"messages": [
{
"id": "GUID",
"from": "+15551234567",
"to": "+15557654321",
"direction": "outbound",
"message": "Hello",
"timestamp": "2025-08-28T12:34:56Z",
"attachments": [],
"service": "iMessage",
"status": {
"read": false,
"delivered": true
}
}
]
}
Authorizations
Provide your API key
Path Parameters
ID of the contact
Query Parameters
Page number for pagination
Number of messages per page
Response
200 - application/json
Messages retrieved
Show child attributes
Show child attributes
⌘I
Get contact messages
